API referenceIntegrations
Link Resource
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/integrations/resources/link" \ -H "Content-Type: application/json" \ -d '{ "connectionId": "string", "resource": { "externalType": "string", "externalId": "string", "name": "string", "surfaceKind": "generic", "capabilities": [ "browse" ] } }'{ "data": { "resource": { "id": "string", "workspaceId": "string", "connectionId": "string", "provider": "string", "externalType": "string", "externalId": "string", "name": "string", "surfaceKind": "generic", "ownership": "external", "capabilities": [ "browse" ], "mimeType": "string", "canonicalUrl": "string", "parentExternalId": "string", "revision": "string", "providerCreatedAt": "string", "providerModifiedAt": "string", "metadata": {}, "syncStatus": "current", "lastSyncedAt": "string", "createdAt": "string", "updatedAt": "string" }, "placement": { "id": "string", "workspaceId": "string", "resourceId": "string", "workspaceItemId": "string", "mountId": "string", "kind": "link", "displayName": "string", "createdAt": "string", "updatedAt": "string" } }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}